%define name	kinterbasdb
%define version	3.2
%define release	%mkrel 2

#  automatically set GCC flags based on version
%{expand:%%define gccmajorvers %(gcc -v 2>&1 | tail -1 | awk '{ print $3 }' | awk -F. '{ print $1 }')}
%if %{gccmajorvers} >= 3
%define cflags -std=c99 $RPM_OPT_FLAGS
%else
%define cflags $RPM_OPT_FLAGS
%endif

Summary:	A Python DB-API 2.0 compliant interface to Firebird.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD style
Group:		Databases
Source0:	%{name}-%{version}.src.tar.bz2
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://kinterbasdb.sourceforge.net/
Requires:	python-egenix-mx-base
#Requires:	firebird
%py_requires
BuildRequires:	python-devel
BuildRequires:	firebird-devel

%description
KInterbasDB is a Python extension package that implements Python Database API
2.0-compliant support for the open source relational database Firebird and some
versions of its proprietary cousin Borland Interbase.
In addition to the minimal feature set of the standard Python DB API,
KInterbasDB also exposes nearly the entire native client API of the database
engine.

%prep
%setup -q -n %{name}-%{version}

%build
env CFLAGS="%{cflags}" /usr/bin/python setup.py build

%install
rm -rf %{buildroot}
%_bindir/python setup.py install --root=%{buildroot}
cd %{buildroot}%{python_sitearch}
%_bindir/python -c "import kinterbasdb"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README PKG-INFO
%doc docs
%{python_sitearch}/%{name}


%changelog
* Mon Sep 04 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
+ 2006-09-04 13:51:59 (59757)
- Import kinterbasdb


* Fri Sep 01 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
- Updated (Build)Requires so it reflects 2007 state.
- Use macro python_sitearch.
- enter buildroot/python_sitearch dir before trying to test the module.

* Wed Aug 23 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- initial release 
